Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network83.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
83.0.0.0
Broadcast address
83.255.255.255
First usable
83.0.0.1
Last usable
83.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 53000000 · Integer 1392508928 to 1409286143
Reverse DNS zone
83.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010011..00000000.00000000.0000000083.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01010011..00000000.00000000.0000000083.0.0.0
Broadcast01010011..11111111.11111111.1111111183.255.255.255
Split into smaller subnets/15

83.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
183.0.0.0/1583.0.0.1 to 83.1.255.25483.1.255.255131,070
283.2.0.0/1583.2.0.1 to 83.3.255.25483.3.255.255131,070
383.4.0.0/1583.4.0.1 to 83.5.255.25483.5.255.255131,070
483.6.0.0/1583.6.0.1 to 83.7.255.25483.7.255.255131,070
583.8.0.0/1583.8.0.1 to 83.9.255.25483.9.255.255131,070
683.10.0.0/1583.10.0.1 to 83.11.255.25483.11.255.255131,070
783.12.0.0/1583.12.0.1 to 83.13.255.25483.13.255.255131,070
883.14.0.0/1583.14.0.1 to 83.15.255.25483.15.255.255131,070
983.16.0.0/1583.16.0.1 to 83.17.255.25483.17.255.255131,070
1083.18.0.0/1583.18.0.1 to 83.19.255.25483.19.255.255131,070
1183.20.0.0/1583.20.0.1 to 83.21.255.25483.21.255.255131,070
1283.22.0.0/1583.22.0.1 to 83.23.255.25483.23.255.255131,070
1383.24.0.0/1583.24.0.1 to 83.25.255.25483.25.255.255131,070
1483.26.0.0/1583.26.0.1 to 83.27.255.25483.27.255.255131,070
1583.28.0.0/1583.28.0.1 to 83.29.255.25483.29.255.255131,070
1683.30.0.0/1583.30.0.1 to 83.31.255.25483.31.255.255131,070
1783.32.0.0/1583.32.0.1 to 83.33.255.25483.33.255.255131,070
1883.34.0.0/1583.34.0.1 to 83.35.255.25483.35.255.255131,070
1983.36.0.0/1583.36.0.1 to 83.37.255.25483.37.255.255131,070
2083.38.0.0/1583.38.0.1 to 83.39.255.25483.39.255.255131,070
2183.40.0.0/1583.40.0.1 to 83.41.255.25483.41.255.255131,070
2283.42.0.0/1583.42.0.1 to 83.43.255.25483.43.255.255131,070
2383.44.0.0/1583.44.0.1 to 83.45.255.25483.45.255.255131,070
2483.46.0.0/1583.46.0.1 to 83.47.255.25483.47.255.255131,070
2583.48.0.0/1583.48.0.1 to 83.49.255.25483.49.255.255131,070
2683.50.0.0/1583.50.0.1 to 83.51.255.25483.51.255.255131,070
2783.52.0.0/1583.52.0.1 to 83.53.255.25483.53.255.255131,070
2883.54.0.0/1583.54.0.1 to 83.55.255.25483.55.255.255131,070
2983.56.0.0/1583.56.0.1 to 83.57.255.25483.57.255.255131,070
3083.58.0.0/1583.58.0.1 to 83.59.255.25483.59.255.255131,070
3183.60.0.0/1583.60.0.1 to 83.61.255.25483.61.255.255131,070
3283.62.0.0/1583.62.0.1 to 83.63.255.25483.63.255.255131,070
3383.64.0.0/1583.64.0.1 to 83.65.255.25483.65.255.255131,070
3483.66.0.0/1583.66.0.1 to 83.67.255.25483.67.255.255131,070
3583.68.0.0/1583.68.0.1 to 83.69.255.25483.69.255.255131,070
3683.70.0.0/1583.70.0.1 to 83.71.255.25483.71.255.255131,070
3783.72.0.0/1583.72.0.1 to 83.73.255.25483.73.255.255131,070
3883.74.0.0/1583.74.0.1 to 83.75.255.25483.75.255.255131,070
3983.76.0.0/1583.76.0.1 to 83.77.255.25483.77.255.255131,070
4083.78.0.0/1583.78.0.1 to 83.79.255.25483.79.255.255131,070
4183.80.0.0/1583.80.0.1 to 83.81.255.25483.81.255.255131,070
4283.82.0.0/1583.82.0.1 to 83.83.255.25483.83.255.255131,070
4383.84.0.0/1583.84.0.1 to 83.85.255.25483.85.255.255131,070
4483.86.0.0/1583.86.0.1 to 83.87.255.25483.87.255.255131,070
4583.88.0.0/1583.88.0.1 to 83.89.255.25483.89.255.255131,070
4683.90.0.0/1583.90.0.1 to 83.91.255.25483.91.255.255131,070
4783.92.0.0/1583.92.0.1 to 83.93.255.25483.93.255.255131,070
4883.94.0.0/1583.94.0.1 to 83.95.255.25483.95.255.255131,070
4983.96.0.0/1583.96.0.1 to 83.97.255.25483.97.255.255131,070
5083.98.0.0/1583.98.0.1 to 83.99.255.25483.99.255.255131,070
5183.100.0.0/1583.100.0.1 to 83.101.255.25483.101.255.255131,070
5283.102.0.0/1583.102.0.1 to 83.103.255.25483.103.255.255131,070
5383.104.0.0/1583.104.0.1 to 83.105.255.25483.105.255.255131,070
5483.106.0.0/1583.106.0.1 to 83.107.255.25483.107.255.255131,070
5583.108.0.0/1583.108.0.1 to 83.109.255.25483.109.255.255131,070
5683.110.0.0/1583.110.0.1 to 83.111.255.25483.111.255.255131,070
5783.112.0.0/1583.112.0.1 to 83.113.255.25483.113.255.255131,070
5883.114.0.0/1583.114.0.1 to 83.115.255.25483.115.255.255131,070
5983.116.0.0/1583.116.0.1 to 83.117.255.25483.117.255.255131,070
6083.118.0.0/1583.118.0.1 to 83.119.255.25483.119.255.255131,070
6183.120.0.0/1583.120.0.1 to 83.121.255.25483.121.255.255131,070
6283.122.0.0/1583.122.0.1 to 83.123.255.25483.123.255.255131,070
6383.124.0.0/1583.124.0.1 to 83.125.255.25483.125.255.255131,070
6483.126.0.0/1583.126.0.1 to 83.127.255.25483.127.255.255131,070
6583.128.0.0/1583.128.0.1 to 83.129.255.25483.129.255.255131,070
6683.130.0.0/1583.130.0.1 to 83.131.255.25483.131.255.255131,070
6783.132.0.0/1583.132.0.1 to 83.133.255.25483.133.255.255131,070
6883.134.0.0/1583.134.0.1 to 83.135.255.25483.135.255.255131,070
6983.136.0.0/1583.136.0.1 to 83.137.255.25483.137.255.255131,070
7083.138.0.0/1583.138.0.1 to 83.139.255.25483.139.255.255131,070
7183.140.0.0/1583.140.0.1 to 83.141.255.25483.141.255.255131,070
7283.142.0.0/1583.142.0.1 to 83.143.255.25483.143.255.255131,070
7383.144.0.0/1583.144.0.1 to 83.145.255.25483.145.255.255131,070
7483.146.0.0/1583.146.0.1 to 83.147.255.25483.147.255.255131,070
7583.148.0.0/1583.148.0.1 to 83.149.255.25483.149.255.255131,070
7683.150.0.0/1583.150.0.1 to 83.151.255.25483.151.255.255131,070
7783.152.0.0/1583.152.0.1 to 83.153.255.25483.153.255.255131,070
7883.154.0.0/1583.154.0.1 to 83.155.255.25483.155.255.255131,070
7983.156.0.0/1583.156.0.1 to 83.157.255.25483.157.255.255131,070
8083.158.0.0/1583.158.0.1 to 83.159.255.25483.159.255.255131,070
8183.160.0.0/1583.160.0.1 to 83.161.255.25483.161.255.255131,070
8283.162.0.0/1583.162.0.1 to 83.163.255.25483.163.255.255131,070
8383.164.0.0/1583.164.0.1 to 83.165.255.25483.165.255.255131,070
8483.166.0.0/1583.166.0.1 to 83.167.255.25483.167.255.255131,070
8583.168.0.0/1583.168.0.1 to 83.169.255.25483.169.255.255131,070
8683.170.0.0/1583.170.0.1 to 83.171.255.25483.171.255.255131,070
8783.172.0.0/1583.172.0.1 to 83.173.255.25483.173.255.255131,070
8883.174.0.0/1583.174.0.1 to 83.175.255.25483.175.255.255131,070
8983.176.0.0/1583.176.0.1 to 83.177.255.25483.177.255.255131,070
9083.178.0.0/1583.178.0.1 to 83.179.255.25483.179.255.255131,070
9183.180.0.0/1583.180.0.1 to 83.181.255.25483.181.255.255131,070
9283.182.0.0/1583.182.0.1 to 83.183.255.25483.183.255.255131,070
9383.184.0.0/1583.184.0.1 to 83.185.255.25483.185.255.255131,070
9483.186.0.0/1583.186.0.1 to 83.187.255.25483.187.255.255131,070
9583.188.0.0/1583.188.0.1 to 83.189.255.25483.189.255.255131,070
9683.190.0.0/1583.190.0.1 to 83.191.255.25483.191.255.255131,070
9783.192.0.0/1583.192.0.1 to 83.193.255.25483.193.255.255131,070
9883.194.0.0/1583.194.0.1 to 83.195.255.25483.195.255.255131,070
9983.196.0.0/1583.196.0.1 to 83.197.255.25483.197.255.255131,070
10083.198.0.0/1583.198.0.1 to 83.199.255.25483.199.255.255131,070
10183.200.0.0/1583.200.0.1 to 83.201.255.25483.201.255.255131,070
10283.202.0.0/1583.202.0.1 to 83.203.255.25483.203.255.255131,070
10383.204.0.0/1583.204.0.1 to 83.205.255.25483.205.255.255131,070
10483.206.0.0/1583.206.0.1 to 83.207.255.25483.207.255.255131,070
10583.208.0.0/1583.208.0.1 to 83.209.255.25483.209.255.255131,070
10683.210.0.0/1583.210.0.1 to 83.211.255.25483.211.255.255131,070
10783.212.0.0/1583.212.0.1 to 83.213.255.25483.213.255.255131,070
10883.214.0.0/1583.214.0.1 to 83.215.255.25483.215.255.255131,070
10983.216.0.0/1583.216.0.1 to 83.217.255.25483.217.255.255131,070
11083.218.0.0/1583.218.0.1 to 83.219.255.25483.219.255.255131,070
11183.220.0.0/1583.220.0.1 to 83.221.255.25483.221.255.255131,070
11283.222.0.0/1583.222.0.1 to 83.223.255.25483.223.255.255131,070
11383.224.0.0/1583.224.0.1 to 83.225.255.25483.225.255.255131,070
11483.226.0.0/1583.226.0.1 to 83.227.255.25483.227.255.255131,070
11583.228.0.0/1583.228.0.1 to 83.229.255.25483.229.255.255131,070
11683.230.0.0/1583.230.0.1 to 83.231.255.25483.231.255.255131,070
11783.232.0.0/1583.232.0.1 to 83.233.255.25483.233.255.255131,070
11883.234.0.0/1583.234.0.1 to 83.235.255.25483.235.255.255131,070
11983.236.0.0/1583.236.0.1 to 83.237.255.25483.237.255.255131,070
12083.238.0.0/1583.238.0.1 to 83.239.255.25483.239.255.255131,070
12183.240.0.0/1583.240.0.1 to 83.241.255.25483.241.255.255131,070
12283.242.0.0/1583.242.0.1 to 83.243.255.25483.243.255.255131,070
12383.244.0.0/1583.244.0.1 to 83.245.255.25483.245.255.255131,070
12483.246.0.0/1583.246.0.1 to 83.247.255.25483.247.255.255131,070
12583.248.0.0/1583.248.0.1 to 83.249.255.25483.249.255.255131,070
12683.250.0.0/1583.250.0.1 to 83.251.255.25483.251.255.255131,070
12783.252.0.0/1583.252.0.1 to 83.253.255.25483.253.255.255131,070
12883.254.0.0/1583.254.0.1 to 83.255.255.25483.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses